Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158993 - CAN-2005-1751 shtool insecure temporary file creation
Summary: CAN-2005-1751 shtool insecure temporary file creation
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mm
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20050524,source=ven...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 15:17 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 22:18:45 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-27 15:17:53 UTC
Race condition in shtool 2.0.1 and earlier allows local users to
create or modify arbitrary files via a symlink attack on the
.shtool.$$ temporary file.
http://www.zataz.net/adviso/shtool-05252005.txt

mm contains shtool in its source.

Comment 1 Nalin Dahyabhai 2005-08-25 22:02:50 UTC
shtool is used at build-time, and is not part of either the mm or mm-devel
binary packages.

Comment 2 Josh Bressers 2005-08-25 22:09:48 UTC
Correct, this issue (while very remote I know) is only exploitable if mm is
rebuilt from source.

The advisory states that shtool is only vulnerable if it is used for the
following operations:
tarball, subst, scpp and path.

I have not verified if mm uses these or not.

Comment 3 Nalin Dahyabhai 2005-08-25 22:16:10 UTC
During package build, the makefile calls shtool for these operations:
  version mkdir install
If you attempt to make a new tarball, either with the "snap" or "dist" targets
(we don't), then it's used for:
  fixperm version tarball

So I don't think we have a problem here.

Comment 4 Nalin Dahyabhai 2005-08-25 22:18:45 UTC
Closure note: if we update to a newer version of mm, the problem goes away even
for the make targets we don't call, so marking this WONTFIX.

Comment 5 Nalin Dahyabhai 2005-08-25 22:19:15 UTC
... except I actually marked it DEFERRED.


Note You need to log in before you can comment on or make changes to this bug.